using Microsoft.Win32;
using SlnMesnac.WPF.Attribute;
using SlnMesnac.WPF.ViewModel.ProductDetails;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.ProductDetails
{
    /// <summary>
    /// DetailsEditControl.xaml 的交互逻辑
    /// </summary>

    [RegisterAsSingletonAttribute]
    public partial class DetailsEditControl : UserControl
    {
        private readonly ProductDetailsEditViewModel viewModel;
        public DetailsEditControl(ProductDetailsEditViewModel productDetailsEditViewModel)
        {
            InitializeComponent();
            viewModel = productDetailsEditViewModel;
            this.DataContext = viewModel;
        }

        private void ProductImage_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Image files (*.png;*.jpeg;*.jpg)|*.png;*.jpeg;*.jpg";
            if (openFileDialog.ShowDialog() == true)
            {
                viewModel.ProductImage = openFileDialog.FileName;
            }
        }

        private void FeatureImage_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Image files (*.png;*.jpeg;*.jpg)|*.png;*.jpeg;*.jpg";
            if (openFileDialog.ShowDialog() == true)
            {
                viewModel.FeatureImage = openFileDialog.FileName;
            }
        }

        private void AnalyzeImage_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Image files (*.png;*.jpeg;*.jpg)|*.png;*.jpeg;*.jpg";
            if (openFileDialog.ShowDialog() == true)
            {
                viewModel.AnalyzeImage = openFileDialog.FileName;
            }
        }

        private void SizeLeftImage_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Image files (*.png;*.jpeg;*.jpg)|*.png;*.jpeg;*.jpg";
            if (openFileDialog.ShowDialog() == true)
            {
                viewModel.SizeLeftImage = openFileDialog.FileName;
            }
        }

        private void SizeRightImage_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Image files (*.png;*.jpeg;*.jpg)|*.png;*.jpeg;*.jpg";
            if (openFileDialog.ShowDialog() == true)
            {
                viewModel.SizeRightImage = openFileDialog.FileName;
            }
        }
    }


}
